summaryrefslogtreecommitdiffstats
path: root/libraries/libnetfilter_log
diff options
context:
space:
mode:
author Michal Bialozor <bialyy@o2.pl>2010-05-12 23:30:35 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:30:35 +0200
commitee3ab572624bc49fdbe6b41a799c3b16631f2bac (patch)
tree1cc506999b5dc4369bb1cde3ec3ffdd4c417e549 /libraries/libnetfilter_log
parent2e3aac9c05519ee971f6d557cf5ff4199c0f6cce (diff)
downloadslackbuilds-ee3ab572624bc49fdbe6b41a799c3b16631f2bac.tar.gz
slackbuilds-ee3ab572624bc49fdbe6b41a799c3b16631f2bac.tar.xz
libraries/libnetfilter_log: Added to 12.2 repository
Diffstat (limited to 'libraries/libnetfilter_log')
-rw-r--r--libraries/libnetfilter_log/README9
-rw-r--r--libraries/libnetfilter_log/libnetfilter_log.SlackBuild66
-rw-r--r--libraries/libnetfilter_log/libnetfilter_log.info8
-rw-r--r--libraries/libnetfilter_log/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/libnetfilter_log/README b/libraries/libnetfilter_log/README
new file mode 100644
index 0000000000..6209984aba
--- /dev/null
+++ b/libraries/libnetfilter_log/README
@@ -0,0 +1,9 @@
+libnetfilter_log is a userspace library providing interface to packets
+that have been logged by the kernel packet filter. It is is part of
+a system that deprecates the old syslog/dmesg based packet logging.
+This library has been previously known as libnfnetlink_log.
+
+libnetfilter_log is used by ulogd2.
+
+This requires libnfnetlink, which is also available at SlackBuilds.org
+and a kernel that includes the nfnetlink_log subsyste (i.e. 2.6.14 or later).
diff --git a/libraries/libnetfilter_log/libnetfilter_log.SlackBuild b/libraries/libnetfilter_log/libnetfilter_log.SlackBuild
new file mode 100644
index 0000000000..c25f7b4a0e
--- /dev/null
+++ b/libraries/libnetfilter_log/libnetfilter_log.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for libnetfilter_log
+# Written by Michal Bialozor <bialyy@o2.pl>
+
+PRGNAM=libnetfilter_log
+VERSION=0.0.16
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libnetfilter_log/libnetfilter_log.info b/libraries/libnetfilter_log/libnetfilter_log.info
new file mode 100644
index 0000000000..f173bc7ec3
--- /dev/null
+++ b/libraries/libnetfilter_log/libnetfilter_log.info
@@ -0,0 +1,8 @@
+PRGNAM="libnetfilter_log"
+VERSION="0.0.16"
+HOMEPAGE="http://www.netfilter.org/projects/libnetfilter_log/"
+DOWNLOAD="http://www.netfilter.org/projects/libnetfilter_log/files/libnetfilter_log-0.0.16.tar.bz2"
+MD5SUM="4ffcf46dad9d0c81f6611dd185639694"
+MAINTAINER="Michal Bialozor"
+EMAIL="bialyy@o2.pl"
+APPROVED="dsomero"
diff --git a/libraries/libnetfilter_log/slack-desc b/libraries/libnetfilter_log/slack-desc
new file mode 100644
index 0000000000..6dc9637def
--- /dev/null
+++ b/libraries/libnetfilter_log/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE: # The "handy ruler" below makes it easier
+to edit a package description. Line # up the first '|' above the
+':' following the base package name, and the '|' # on the right
+side marks the last column you can put a character in. You must #
+make exactly 11 lines for the formatting to be correct. It's also #
+customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnetfilter_log: libnetfilter_log (userspace packet logging library)
+libnetfilter_log:
+libnetfilter_log: libnetfilter_log is a userspace library providing interface to
+libnetfilter_log: packets that have been logged by the kernel packet filter. It is is
+libnetfilter_log: part of a system that deprecates the old syslog/dmesg based packet
+libnetfilter_log: logging. This library has been previously known as libnfnetlink_log.
+libnetfilter_log:
+libnetfilter_log:
+libnetfilter_log: http://www.netfilter.org/projects/libnetfilter_log/
+libnetfilter_log:
+libnetfilter_log: